Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class PanelManager

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.developmentontheedge.application.PanelManager

Direct Known Subclasses:
  ExpressionEditorPane, WorkbenchPage

public class PanelManager
extends JPanel
implements PropertyChangeListener

pending communication between toolbar, menu "View" and PanelManager

Inner classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JComponent
`WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`PanelManager()`

Method Summary
`void` | `addPanel(PanelInfo info, String groupWith, int location)`
`void` | `addPanel(PanelInfo info, String groupWith, int location, int divPos)`
`void` | `addPanel(PanelInfo info, String groupWith, int location, double relativeDivPos)`
`boolean` | `contains(String name)` Returns true if panel manager contains panel with the specified name and false otherwise.
`JComponent` | `getPanel(String name)`
`PanelInfo` | `getPanelInfo(String name)`
`String[]` | `getPanelNames()`
`boolean` | `isEmpty()` Returns true if panel manager is empty (thre are no any panels) and false othervise.
`void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed.
`void` | `removeAllPanels()`
`void` | `removePanel(String name)`
`void` | `togglePanel(String key)`

Methods inherited from class javax.swing.JPanel
`updateUI, getUIClassID, getAccessibleContext`

Methods inherited from class javax.swing.JComponent
`update, paint, printAll, print, isPaintingTile, isFocusCycleRoot, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setEnabled, setForeground, setBackground, setFont, isFocusTraversable, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, addNotify, removeNotify, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PanelManager

    public PanelManager()

Method Detail

### addPanel

    public void addPanel(PanelInfo info, String groupWith, int location)

### addPanel

    public void addPanel(PanelInfo info, String groupWith, int location, int divPos)

### addPanel

    public void addPanel(PanelInfo info, String groupWith, int location, double relativeDivPos)

### contains

    public boolean contains(String name)

  Returns true if panel manager contains panel with the specified name and false otherwise.

### getPanel

    public JComponent getPanel(String name)

### getPanelInfo

    public PanelInfo getPanelInfo(String name)

### getPanelNames

    public String[] getPanelNames()

### isEmpty

    public boolean isEmpty()

  Returns true if panel manager is empty (thre are no any panels) and false othervise.

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed.
  Parameters:
    evt - A PropertyChangeEvent object describing the event source and the property that has changed.

### removeAllPanels

    public void removeAllPanels()

### removePanel

    public void removePanel(String name)

### togglePanel

    public void togglePanel(String key)

Association Links

to Class java.util.HashMap

to Class java.util.HashMap

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM